# Generated from producer-core-0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name producer-core

Name: rubygem-%{gem_name}
Version: 0.6.1
Release: 1%{?dist}
Summary: Provisioning tool
License: BSD-3-Clause
URL: https://rubygems.org/gems/producer-core
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aruba) >= 0.8
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(aruba) < 0.9
# BuildRequires: rubygem(cucumber) >= 2.0
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(cucumber-sshd) >= 1.1
# BuildRequires: rubygem(cucumber-sshd) < 2
# BuildRequires: rubygem(cucumber-sshd) >= 1.1.1
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Software provisioning and configuration management tool, providing a
DSL to write "recipes".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/producer
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.6.1-1
- Initial package
